Package com.independentsoft.office.word.sections

# Class PageSize

java.lang.Object
com.independentsoft.office.word.sections.PageSize

public class PageSize extends Object
The Class PageSize.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageSize()`
  Instantiates a new page size.
  `PageSize​(int width, int height)`
  Instantiates a new page size.
  `PageSize​(int width, int height, PageOrientation orientation)`
  Instantiates a new page size.
  `PageSize​(int width, int height, PageOrientation orientation, int printerPaperCode)`
  Instantiates a new page size.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PageSize`
  `clone()`
  `int`
  `getHeight()`
  Gets the height.
  `PageOrientation`
  `getPageOrientation()`
  Gets the page orientation.
  `int`
  `getPrinterPaperCode()`
  Gets the printer paper code.
  `int`
  `getWidth()`
  Gets the width.
  `void`
  `setHeight​(int height)`
  Sets the height.
  `void`
  `setPageOrientation​(PageOrientation orientation)`
  Sets the page orientation.
  `void`
  `setPrinterPaperCode​(int printerPaperCode)`
  Sets the printer paper code.
  `void`
  `setWidth​(int width)`
  Sets the width.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PageSize

    public PageSize()
    Instantiates a new page size.

  - ### PageSize

    public PageSize​(int width, int height)
    Instantiates a new page size.
    Parameters:
      `width` - the width
      `height` - the height

  - ### PageSize

    public PageSize​(int width, int height, PageOrientation orientation)
    Instantiates a new page size.
    Parameters:
      `width` - the width
      `height` - the height
      `orientation` - the orientation

  - ### PageSize

    public PageSize​(int width, int height, PageOrientation orientation, int printerPaperCode)
    Instantiates a new page size.
    Parameters:
      `width` - the width
      `height` - the height
      `orientation` - the orientation
      `printerPaperCode` - the printer paper code

- ## Method Details

  - ### clone

    public PageSize clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getPrinterPaperCode

    public int getPrinterPaperCode()
    Gets the printer paper code.
    Returns:
      the printer paper code

  - ### setPrinterPaperCode

    public void setPrinterPaperCode​(int printerPaperCode)
    Sets the printer paper code.
    Parameters:
      `printerPaperCode` - the new printer paper code

  - ### getHeight

    public int getHeight()
    Gets the height.
    Returns:
      the height

  - ### setHeight

    public void setHeight​(int height)
    Sets the height.
    Parameters:
      `height` - the new height

  - ### getWidth

    public int getWidth()
    Gets the width.
    Returns:
      the width

  - ### setWidth

    public void setWidth​(int width)
    Sets the width.
    Parameters:
      `width` - the new width

  - ### getPageOrientation

    public PageOrientation getPageOrientation()
    Gets the page orientation.
    Returns:
      the page orientation

  - ### setPageOrientation

    public void setPageOrientation​(PageOrientation orientation)
    Sets the page orientation.
    Parameters:
      `orientation` - the new page orientation